org.keycloak.models.map.common

## Class StringKeyConvertor.ULongKey

- java.lang.Object
- - org.keycloak.models.map.common.StringKeyConvertor.ULongKey

- All Implemented Interfaces:
    StringKeyConvertor<Long>
  Enclosing interface:
    StringKeyConvertor<K>

      public static class StringKeyConvertor.ULongKey
      extends Object
      implements StringKeyConvertor<Long>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.keycloak.models.map.common.StringKeyConvertor

      `StringKeyConvertor.StringKey, StringKeyConvertor.ULongKey, StringKeyConvertor.UUIDKey`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static StringKeyConvertor.ULongKey` | `INSTANCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ULongKey()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Long` | `fromString(String key)` Returns native representation of the key from String representation
    `String` | `keyToString(Long key)` Returns String representation of the key from native representation
    `Long` | `yieldNewUniqueKey()` Returns a new unique primary key for the storage that this `StringKeyConvertor` belongs to.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.models.map.common.StringKeyConvertor

      `fromStringSafe`

- - ### Field Detail

    - #### INSTANCE

          public static final StringKeyConvertor.ULongKey INSTANCE

  - ### Constructor Detail

    - #### ULongKey

          public ULongKey()

  - ### Method Detail

    - #### keyToString

          public String keyToString(Long key)

      Description copied from interface: `StringKeyConvertor`
      Returns String representation of the key from native representation
      Specified by:
        `keyToString` in interface `StringKeyConvertor<Long>`
      Returns:
        See above

    - #### fromString

          public Long fromString(String key)

      Description copied from interface: `StringKeyConvertor`
      Returns native representation of the key from String representation
      Specified by:
        `fromString` in interface `StringKeyConvertor<Long>`
      Returns:
        See above

    - #### yieldNewUniqueKey

          public Long yieldNewUniqueKey()

      Description copied from interface: `StringKeyConvertor`
      Returns a new unique primary key for the storage that this `StringKeyConvertor` belongs to. The uniqueness needs to be guaranteed by e.g. using database sequences or using a random value that is proved sufficiently improbable to be repeated.
      Specified by:
        `yieldNewUniqueKey` in interface `StringKeyConvertor<Long>`
      Returns:

Copyright © 2021 JBoss by Red Hat. All rights reserved.